org.keycloak.models.map.authSession

## Class MapRootAuthenticationSessionAdapter

- java.lang.Object
- - org.keycloak.models.map.authSession.AbstractRootAuthenticationSessionModel<MapRootAuthenticationSessionEntity>
  - - org.keycloak.models.map.authSession.MapRootAuthenticationSessionAdapter

- All Implemented Interfaces:
    RootAuthenticationSessionModel

      public class MapRootAuthenticationSessionAdapter
      extends AbstractRootAuthenticationSessionModel<MapRootAuthenticationSessionEntity>

  Author:
    Martin Kanis

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.sessions.RootAuthenticationSessionModel

      `RootAuthenticationSessionModel.SearchableFields`

  - ### Field Summary

    - ### Fields inherited from class org.keycloak.models.map.authSession.AbstractRootAuthenticationSessionModel

      `entity, realm, session`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapRootAuthenticationSessionAdapter(KeycloakSession session, RealmModel realm, MapRootAuthenticationSessionEntity entity)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthenticationSessionModel` | `createAuthenticationSession(ClientModel client)` Create a new authentication session and returns it.
    `AuthenticationSessionModel` | `getAuthenticationSession(ClientModel client, String tabId)` Returns an authentication session for the particular client and tab or null if it doesn't yet exists.
    `Map<String,AuthenticationSessionModel>` | `getAuthenticationSessions()` Returns authentication sessions for the root authentication session.
    `String` | `getId()` Returns id of the root authentication session.
    `RealmModel` | `getRealm()` Returns realm associated to the root authentication session.
    `int` | `getTimestamp()` Returns timestamp when the root authentication session was created or updated.
    `void` | `removeAuthenticationSessionByTabId(String tabId)` Removes the authentication session specified by tab id from the root authentication session.
    `void` | `restartSession(RealmModel realm)` Will completely restart whole state of authentication session.
    `void` | `setTimestamp(int timestamp)` Sets a timestamp when the root authentication session was created or updated.
    `void` | `setUpdated(boolean updated)`

    - ### Methods inherited from class org.keycloak.models.map.authSession.AbstractRootAuthenticationSessionModel

      `equals, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapRootAuthenticationSessionAdapter

          public MapRootAuthenticationSessionAdapter(KeycloakSession session,
                                                     RealmModel realm,
                                                     MapRootAuthenticationSessionEntity entity)

  - ### Method Detail

    - #### getId

          public String getId()

      Description copied from interface: `RootAuthenticationSessionModel`
      Returns id of the root authentication session.
      Returns:
        `String`

    - #### getRealm

          public RealmModel getRealm()

      Description copied from interface: `RootAuthenticationSessionModel`
      Returns realm associated to the root authentication session.
      Returns:
        `RealmModel`

    - #### getTimestamp

          public int getTimestamp()

      Description copied from interface: `RootAuthenticationSessionModel`
      Returns timestamp when the root authentication session was created or updated.
      Returns:
        `int`

    - #### setTimestamp

          public void setTimestamp(int timestamp)

      Description copied from interface: `RootAuthenticationSessionModel`
      Sets a timestamp when the root authentication session was created or updated.
      Parameters:
        `timestamp` - `int`

    - #### getAuthenticationSessions

          public Map<String,AuthenticationSessionModel> getAuthenticationSessions()

      Description copied from interface: `RootAuthenticationSessionModel`
      Returns authentication sessions for the root authentication session. Key is tabId, Value is AuthenticationSessionModel.
      Returns:
        `Map<String, AuthenticationSessionModel>` authentication sessions or empty map if no authentication sessions are present. Never return null.

    - #### getAuthenticationSession

          public AuthenticationSessionModel getAuthenticationSession(ClientModel client,
                                                                     String tabId)

      Description copied from interface: `RootAuthenticationSessionModel`
      Returns an authentication session for the particular client and tab or null if it doesn't yet exists.
      Parameters:
        `client` - `ClientModel` If `null` is provided the method will return `null`.
        `tabId` - `String` If `null` is provided the method will return `null`.
      Returns:
        `AuthenticationSessionModel` or `null` in no authentication session is found.

    - #### createAuthenticationSession

          public AuthenticationSessionModel createAuthenticationSession(ClientModel client)

      Description copied from interface: `RootAuthenticationSessionModel`
      Create a new authentication session and returns it.
      Parameters:
        `client` - `ClientModel` Can't be `null`.
      Returns:
        `AuthenticationSessionModel` non-null fresh authentication session. Never returns `null`.

    - #### removeAuthenticationSessionByTabId

          public void removeAuthenticationSessionByTabId(String tabId)

      Description copied from interface: `RootAuthenticationSessionModel`
      Removes the authentication session specified by tab id from the root authentication session. If there's no child authentication session left in the root authentication session, it's removed as well.
      Parameters:
        `tabId` - `String` Can't be `null`.

    - #### restartSession

          public void restartSession(RealmModel realm)

      Description copied from interface: `RootAuthenticationSessionModel`
      Will completely restart whole state of authentication session. It will just keep same ID. It will setup it with provided realm.
      Parameters:
        `realm` - `RealmModel` Associated realm to the root authentication session.

    - #### setUpdated

          public void setUpdated(boolean updated)

Copyright © 2021 JBoss by Red Hat. All rights reserved.